Lavalite package that provides committee management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/committee`.

    "litepie/committee": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\Committee\Providers\CommitteeServiceProvider::class,

And also add it to alias

    'Committee'  => Litepie\Committee\Facades\Committee::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\CommitteeTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\Committee\Providers\CommitteeServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\Committee\Providers\CommitteeServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\Committee\Providers\CommitteeServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/committee/{modulename}

**User**

    http://path-to-route-folder/user/committee/{modulename}

**Public**

    http://path-to-route-folder/committees


### API endpoints

**List**

    http://path-to-route-folder/api/user/committee/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/committee/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/committee/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/committee/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/committee/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/committee/{modulename}/{slug}
    METHOD: GET