<?php

// API routes  for committee
Route::prefix('{guard}/committee')->group(function () {
    Route::get('committee/form/{element}', 'CommitteeAPIController@form');
    Route::resource('committee', 'CommitteeAPIController');
});

// Public routes for committee
Route::get('committees/', 'CommitteePublicController@index');
Route::get('committees/{slug?}', 'CommitteePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for committees
            Route::prefix('{guard}/committee')->group(function () {
                Route::get('committee/form/{element}', 'CommitteeAPIController@form');
                Route::apiResource('committee', 'CommitteeAPIController');
            });
            // Public routes for committees
            Route::get('committee/Committee', 'CommitteePublicController@getCommittee');
        }
    );
}

