<?php

namespace Litepie\Committee;

use User;

class Committee
{
    /**
     * $committee object.
     */
    protected $committee;

    /**
     * Constructor.
     */
    public function __construct(\Litepie\Committee\Interfaces\CommitteeRepositoryInterface $committee)
    {
        $this->committee = $committee;
    }

    /**
     * Returns count of committee.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.committee.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->committee->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\CommitteeUserCriteria());
        }

        $committee = $this->committee->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('committee::' . $view, compact('committee'))->render();
    }
}
